package net.vtstar.zhongtong.avi.monitoring.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import net.vtstar.utils.domain.Return;
import net.vtstar.zhongtong.avi.monitoring.service.PDAService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(description = "PDA相关操作模块")
@RestController
@RequestMapping("/PDA")
public class PDAController {

    @Autowired
    private PDAService pdaService;

    @ApiOperation(value = "焊装车间钣金上撬请求")
    @PostMapping("/hanzhuang/bound")
    private Return hanZhuangBound(@RequestParam("vehicleNo") String vehicleNo, @RequestParam("busNo") String busNo) {

        return Return.success();
    }

    @ApiOperation(value = "换撬请求")
    @PostMapping("/change/skid")
    private Return changeSkid(@RequestParam("sourceStation") String sourceStation, @RequestParam("targetStation") String targetStation) {

        return Return.success();
    }

    @ApiOperation(value = "返修车请求")
    @PostMapping("/repair")
    private Return repair(@RequestParam("busNo") String busNo) {

        return Return.success();
    }
}
