package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("平移车")
@Data
public class Vehicle {

    private Long id;

    @ApiModelProperty(notes = "平移车编号")
    private String code;

    @ApiModelProperty(notes = "左侧有无车信号")
    private Boolean leftSignal;

    @ApiModelProperty(notes = "右侧有无车信号")
    private Boolean rightSignal;

    @ApiModelProperty(notes = "当前左侧所在车道")
    private String leftLane;

    @ApiModelProperty(notes = "当前右侧所在车道")
    private String rightLane;
}
